Bug 67499 - mkinitrd fails if > 8 loopback devices are in use even if loop option is set to 255
mkinitrd fails if > 8 loopback devices are in use even if loop option is set ...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-26 09:45 EDT by Rudi Heitbaum
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-26 09:45:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudi Heitbaum 2002-06-26 09:45:31 EDT
Description of Problem:

mkinitrd fails if > 8 loopback devices are in use even if loop option is set to 255

Version-Release number of selected component (if applicable):

3.2.6-1

How Reproducible:

100%

Steps to Reproduce:
1. Mount > 8 file systems in loop
2. mkinitrd /boot/initrd-2.4.9-34.img 2.4.9-34
3. 

Actual Results:

All of your loopback devices are in use!

Expected Results:

Success

Additional Information:

Temporary workaround diff
	
diff /sbin/mkinitrd*      
330c330
< for devnum in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24
25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50; do
---
> for devnum in 0 1 2 3 4 5 6 7 8; do
334c334
< if [ "$devnum" = "50" ]; then
---
> if [ "$devnum" = "8" ]; then
diff /sbin/mkinitrd*
Comment 1 Erik Troan 2002-06-27 16:23:40 EDT
fixed better then this in current (rawhide) mkinitrd

Note You need to log in before you can comment on or make changes to this bug.